body {
	display: -webkit-flex;
	display: flex;
	-webkit-flex-flow: row wrap;
	flex-flow: row wrap;
    font-family: arial, sans-serif;
    color: #777777;
    background-color: #E6E2E1;
}

a {
	color: #777777;
}

ul {
    list-style-type: none;
}
/* Mobile first - alle Dokument-Blöcke bekommen 100% Breite */

header,
nav,
nav a,
article,
section,
aside,
footer {
	border-radius: 0px 0.5em 0.5em;
	border: 1px solid;
	padding: 10px;
	margin: 10px;
	-webkit-flex: 1 100%;
	flex: 1 100%;
}

header {
    background: #F0EDE8;
	display: -webkit-flex;
	-webkit-flex-flow: row wrap;
	display: flex;
	flex-flow: row wrap;
    border-style: none;
}

header * {
	-webkit-flex: 1 1 0%;
	flex: 1 1 0%;
}

header img {
	-webkit-flex: 0 0 150px;
	flex: 0 0 150px;
	margin-right: 20px;
}

header nav {
	-webkit-flex: 1 1 100%;
	flex: 1 1 100%;
}

nav,
nav ul,
nav li {
	margin: 0;
	padding: 0;
	border: none; 
}

nav ul {
	display: -webkit-flex;
	-webkit-flex-direction: column;
	display: flex;
	flex-direction: column;
}

nav li {
	list-style-type: none;
	margin: 1.3em 0;
	-webkit-flex: 1 1 100%;
	flex: 1 1 100%;
}


nav a {
	display: inline-block;
	width: 95%;	
	border: 1px;
	margin: 0;
	text-decoration: none;
	text-align: center;
        color: #777777;
}

nav a:hover {
/*	background-color: #df2020;*/
}

section {
	background: #63A9CC;
}

article {
	 background: #F0EDE8;
    border-style: none;
}

aside {
    background-color: #dfac20;
	border-style: none;
}

footer {
	background: #E6E2E1;
	display: -webkit-flex;
	-webkit-flex-flow: row wrap;
	display: flex;
	flex-flow: row wrap;
    border-style: none;
}

footer * {
	-webkit-flex: 1 1 0%;
	-webkit-justify-content: space-between;
	flex: 1 1 0%;
	justify-content: space-between;
}

footer p {
	text-align: right;
}
/* Smart Phones und Tablets mit mittlerer Auflösung */

@media all and (min-width: 35em) {
	header img {
		margin-right: 50px;
	}
	nav ul {
		-webkit-flex-direction: row;
		flex-direction: row;
	}
	nav li {
		margin: 0 10px;
		-webkit-flex: 1 1 0%;
		flex: 1 1 0%;
	}
	article {
		webkit-order: 2;
		order: 2;
	}
	#news {
		-webkit-flex: 1 auto;
		-webkit-order: 3;
		flex: 1 auto;
		order: 3;
	}
	aside {
		/* durch auto werden die beiden asides in eine Zeile gesetzt */
		
		-webkit-flex: 1 auto;
		-webikit-order: 4;
		flex: 1 auto;
		order: 4;
	}
	footer {
		webkit-order: 5;
		order: 5;
	}
}
/* Large screens */

@media all and (min-width: 50em) {
	article {
		/* Der Article wird 2.5x so breit wie die beiden asides! */
		
		-webkit-flex: 5 1 0%;
		-webkit-order: 3;
		order: 3;
		flex: 5 1 0%;
	}
	aside {
		-webkit-flex: 2 1 0%;
		flex: 2 1 0%;
	}
	#news {
		-webkit-flex: 2 1 0%;
		-webkit-order: 2;
		-webkit-align-self: center;
		flex: 2 1 0%;
		order: 2;
		align-self: center;
		height: 120px;
	}
}
